"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.MobileOnly = exports.LogoWrapper = exports.DesktopOnly = void 0;

var _react = _interopRequireDefault(require("react"));

var _Logo = _interopRequireDefault(require("./Logo"));

var _LogoCloud = _interopRequireDefault(require("./LogoCloud"));

var _styleContainer = require("@cloudflare/style-container");

var _styleConst = require("@cloudflare/style-const");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LogoWrapper = (0, _styleContainer.createStyledComponent)(function (_ref) {
  var removeMargin = _ref.removeMargin;
  return {
    my: removeMargin ? 0 : 2,
    userSelect: 'none',
    '-webkit-tap-highlight-color': 'rgba(0, 0, 0, 0)'
  };
});
exports.LogoWrapper = LogoWrapper;
var DesktopOnly = (0, _styleContainer.createStyledComponent)(function (_ref2) {
  var removeMargin = _ref2.removeMargin;
  return {
    display: 'none',
    mx: removeMargin ? 0 : 3,
    tabletWide: {
      display: 'block'
    }
  };
});
exports.DesktopOnly = DesktopOnly;
var MobileOnly = (0, _styleContainer.createStyledComponent)(function (_ref3) {
  var removeMargin = _ref3.removeMargin;
  return {
    display: 'block',
    mx: removeMargin ? 0 : 2,
    tabletWide: {
      display: 'none'
    }
  };
});
exports.MobileOnly = MobileOnly;

var LogoHeader = function LogoHeader() {
  return /*#__PURE__*/_react.default.createElement(LogoWrapper, null, /*#__PURE__*/_react.default.createElement(DesktopOnly, null, /*#__PURE__*/_react.default.createElement(_Logo.default, {
    textColor: (0, _styleConst.isDarkMode)() ? _styleConst.variables.colors.black : undefined
  })), /*#__PURE__*/_react.default.createElement(MobileOnly, null, /*#__PURE__*/_react.default.createElement(_LogoCloud.default, {
    width: "70px",
    height: "41px"
  })));
};

var _default = LogoHeader;
exports.default = _default;